%define upstream_name    XML-FeedPP
%define upstream_version 0.95

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse/write/merge/edit RSS/RDF/Atom syndication feeds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::TreePP) >= 0.390.0
BuildArch:  noarch

%description
'XML::FeedPP' is an all-purpose syndication utility that parses and
publishes RSS 2.0, RSS 1.0 (RDF), Atom 0.3 and 1.0 feeds. It allows you to
add new content, merge feeds, and convert among these various formats. It
is a pure Perl implementation and does not require any other module except
for XML::TreePP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.950.0-5.mga10
+ Revision: 2204809
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.950.0-4.mga9
+ Revision: 1810592
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.950.0-3.mga8
+ Revision: 1507015
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.950.0-2.mga7
+ Revision: 1287305
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.950.0-1.mga7
+ Revision: 1221598
- update to 0.95

* Sun Jun 19 2016 pterjan <pterjan> 0.430.0-7.mga6
+ Revision: 1036000
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.430.0-6.mga6
+ Revision: 929739
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.430.0-5.mga5
+ Revision: 745100
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.430.0-4.mga5
+ Revision: 686921
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.430.0-3.mga4
+ Revision: 516052
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-2.mga3
+ Revision: 375024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.430.0-1.mga2
+ Revision: 107585
- update to 0.43

* Fri Jan 21 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 29234
- mageia rebuild
- imported package perl-XML-FeedPP


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2011.0
+ Revision: 596705
- update to 0.42

* Mon Jul 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.410.0-3mdv2011.0
+ Revision: 560579
- perl rebuild

* Fri Mar 12 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.410.0-2mdv2011.0
+ Revision: 518568
- Bump release

* Sun Feb 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.410.0-1mdv2010.1
+ Revision: 512541
- Import
- import perl-XML-FeedPP


* Sat Feb 27 2010 cpan2dist 0.41-1mdv
- initial mdv release, generated with cpan2dist
